/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

.editable-text-box {

    padding-bottom: rem(64);

    &:last-child {
        padding-bottom: 0;
    }

    .box-header {

        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: rem(16);

        h3 {
            font-size: rem(13);
            color: var(--white);
            font-weight: 400;
            line-height: rem(19);
        }

    }

    .box-wrapper {
        font-size: rem(13);
        font-weight: 400;
        outline: none;
        font-family: $font;
        line-height: 1.6em;
        padding: 0;
        color: var(--color-default-1);
        
        textarea {
            width: 100%;
            min-height: rem(170);
            border: none;
            resize: none;
            font-size: rem(13);
            font-weight: 400;
            outline: none;
            font-family: $font;
            line-height: 1.6em;
            padding: 0;
            color: var(--color-default-1);
            background: transparent;
        }
        p {
            width: 100%;
            border: none;
            resize: none;
            font-size: rem(13);
            font-weight: 400;
            outline: none;
            font-family: $font;
            line-height: 1.6em;
            padding: 0;
            color: var(--color-default-1);
            background: transparent;
        }
    }

}